Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.genetics
Class RandomKeyMutation

    java.lang.Object
      org.apache.commons.math.genetics.RandomKeyMutation

All Implemented Interfaces:
  MutationPolicy

    public class RandomKeyMutation

extends java.lang.Object
implements MutationPolicy

Mutation operator for `RandomKey`s. Changes a randomly chosen element of the array representation to a random value uniformly distributed in [0,1].

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Constructor Summary
`RandomKeyMutation()`

Method Summary
`Chromosome` | `mutate(Chromosome original)` Mutate the given chromosome.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomKeyMutation

    public RandomKeyMutation()

Method Detail

### mutate

    public Chromosome mutate(Chromosome original)

  Mutate the given chromosome.

  Specified by:
    `mutate` in interface `MutationPolicy`
  Parameters:
    `original` - the original chromosome.
  Returns:
    the mutated chromomsome.
  Throws:
    `java.lang.IllegalArgumentException` - if `original` is not a `RandomKey` instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation